--[[
Name: CooldownButtons
Project Revision: @project-revision@
File Revision: @file-revision@ 
Author(s): Netrox
Website: http://www.wowace.com/projects/cooldownbuttons/
Git Repo: git://git.wowace.com/wow/cooldownbuttons/mainline.git
License: All rights reserved.
]]

local CDB = CDB

local function CreateTableEntrys(...)
    local count = select('#', ...)
    local entrys = {}
    for i = 1, count, 1 do
        entrys[tostring(select(i, ...))] = true
    end
    return entrys
end

function CDB:InitDefaultCooldownSets()
    local class = select(2, UnitClass("player"))
    local sets = {
        ["**"] = {
            ["icon"] = "Interface\\Icons\\INV_Misc_QuestionMark",
            ["type"] = "Spell",
            ["ids"] = {
                ["**"] = false,
            },
        }
    }
    if class == "WARLOCK" then 
        sets["Summon Infernal/Doomguard"] = {
            ["icon"] = "Interface\\Icons\\warlock_summon_doomguard",
            ["ids"] = {
                ["1122"]   = true, -- Infernal
                ["18540"]  = true, -- Doomguard
                ["112927"] = true, -- Terrorguard
				["112921"] = true, -- Abyssal
            },
        }
    elseif class == "DRUID" then 
        sets["Incarnation"] = {
            ["icon"] = "Interface\\Icons\\spell_druid_incarnation",
            ["ids"] = {
                ["33891"]  = true, -- Restoration
                ["102558"] = true, -- Guardian
                ["102560"] = true, -- Moonkin
                ["102543"] = true, -- Feral
            },
        }
    end
	--Heal Pots 
    sets["Healing Potions"] = {
        ["icon"] = "Interface\\Icons\\inv_alchemy_70_red",
        ["type"] = "Item",
        -- Got IDs from wowhead.com ( Filter: http://www.wowhead.com/items=0?filter=ty=1;cr=62:115;crs=3:1;crv=60:0 ) 
		-- Rejuvenation Potions do NOT count.
        -- add 93742 (Healing Potion / +25% max Health)
        ["ids"] = CreateTableEntrys(  118,   858,    929,   1710,   3928,   4596,   9144,  13446,  17348,  17349,
                                    18839, 22829,  22837,  23822,  28100,  31838,  31839,  31852,  31853,  32784,
                                    32904, 32905,  32910,  32947,  33092,  33447,  33934  ,34440,  39327,  39671,
                                    40077, 41166,  43531,  43569,  57191,  63144,  63300,  64994,  67415,  76097,
                                    92954, 93742, 109223, 117415, 118916, 118917, 127834, 129196, 136569, 140351),
    }
	sets["Potions"] = {
        ["icon"] = "Interface\\Icons\\inv_alchemy_70_blue",
        ["type"] = "Item",
        -- Got IDs from wowhead.com ( Filter: http://www.wowhead.com/items=0?filter=ty=1;cr=62:115;crs=3:3;crv=60:0 ) 
		-- remove 93742 (Healing Potion / +25% max Health)
		-- ad Rejuvenation Potions (Filter: http://www.wowhead.com/items=0?filter=ty=1;na=Rejuvenation;cr=62:115;crs=3:1;crv=60:0)
        ["ids"] = CreateTableEntrys(  2455,   2456,   2459,   3087,   3385,   3386,   3387,   3827,   4623,   5631,   5633,   5634,   5816,   6048,   6049,   6050,   6051,   6052,   6149,  6372,
                                      9030,  12190,  13442,  13443,  13444,  13455,  13456,  13457,  13458,  13459,  13460,  13461,  13462,  13506,  17351,  17352,  18253,  18841,  20002,  20008,
                                     22826,  22828,  22832,  22836,  22838,  22839,  22841,  22842,  22844,  22845,  22846,  22847,  22849,  22850,  22871,  23823,  28101,  31676,  31677,  31840,
                                     31841,  31854,  31855,  32783,  32840,  32844,  32845,  32846,  32847,  32902,  32903,  32909,  32948,  33093,  33448,  33935,  38351,  40067,  40081,  40087,
                                     40093,  40211,  40212,  40213,  40214,  40215,  40216,  40217,  42545,  43530,  43570,  54213,  57099,  57192,  57193,  57194,  58090,  58091,  58145,  58146,
                                     58487,  58488,  63145,  64993,  76089,  76090,  76092,  76093,  76094,  76095,  76096,  76098,  92941,  92942,  92943,  98061,  98062,  98063, 107640, 109217,
                                    109218, 109219, 109220, 109221, 109222, 109226, 113585, 116266, 116267, 116275, 116276, 116277, 118006, 118262, 118704, 118910, 118911, 118912, 118913, 118914,
                                    118915, 122452, 122453, 122454, 122455, 122456, 124660, 124661, 127835, 127836, 127843, 127844, 127845, 127846, 131729, 138486, 138488, 138727, 138728, 138729, 140347),
    }
    return sets
end
